function [rightClusters, leftClusters]=bicluster_kmeans(W,k,lambda,b0,b1,epsilon,tau_penalty,max_iter)
if nargin<5
    b0=0;
    b1=1;
end
if nargin<6
    epsilon=1e-4;
end
if nargin<7
    tau_penalty=2;
end
if nargin<8
    max_iter=1000;
end

Yhat = admm_bicluster(W,lambda,b0,b1,epsilon,tau_penalty,max_iter);

[leftClusters, rightClusters] = kmeans_rows_cols(Yhat, k);

end

